Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 973316 - Incorrect dependency on python3
Incorrect dependency on python3
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: python-tornado (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 12:38 EDT by Endi Sukma Dewata
Modified: 2013-06-25 17:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-25 17:41:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Endi Sukma Dewata 2013-06-11 12:38:48 EDT
In python-tornado spec file there is a conditional dependency on python3:

%if 0%{?fedora} > 12 || 0%{?rhel} > 6
%global with_python3 1
%else

It is causing a build issue on RHEL. It should be changed to this:

%if 0%{?fedora} > 12 || 0%{?rhel} > 7
Comment 1 Thomas Spura 2013-06-12 10:09:11 EDT
It should be removed instead, see:
https://fedorahosted.org/fpc/ticket/200
Comment 2 Endi Sukma Dewata 2013-06-13 11:11:13 EDT
Could we raise the priority? This issue is blocking the RHEL 7 build and several other components depending on it. Thanks!
Comment 3 Thomas Spura 2013-06-14 09:02:47 EDT
It's building now in rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5503043

If you also need this in other fedora relases, please reopen this bug.
But rawhide should be fine just fine for a "only buildtime change".
Comment 4 Endi Sukma Dewata 2013-06-18 12:25:22 EDT
Hi, could you include this on F19 too? Thank you very much!
Comment 5 Thomas Spura 2013-06-19 02:56:42 EDT
It's included in git now.
I don't think it makes any sense to also ship this as an update as there has been no user change at all for F19.

Where do you need it for?
When you rebuild it on RHEL now from git, it will work fine...
Comment 6 Endi Sukma Dewata 2013-06-25 17:41:38 EDT
This should be sufficient. RHEL doesn't use F19 builds, but it's based on F19 branch in git. Thanks!

Note You need to log in before you can comment on or make changes to this bug.